// --------------------------------------------------------------
//
// Get a message from com2, Return SIZE of message, Update remote_id
//

get_com2_message( char *msg)
{
	int size,ch;
	int size_aux;
	int temp;
	ch=read_com2_byte();
	if(ch==-1)
	{
		return(-1);
	}
	if(ch!='>')
	{
		return(-2);
	}

	temp=read_cpu_register32(CPU_COM_TIMEOUT);
	write_cpu_register32(CPU_COM_TIMEOUT,5000000);

	ch=read_com2_byte();
	if(ch!='>' && ch!='*')
	{
		write_cpu_register32(CPU_COM_TIMEOUT,temp);
		return(-2);
	}
		
	if(ch=='>')
	{
		if(read_com2_block(&size,4)==-1)
		{
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
			return(-2);
		}
		if(read_com2_block(destination_id,9)==-1)
		{
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
			return(-2);
		}
		if(read_com2_block(remote_id,9)==-1)
		{
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
			return(-2);
		}
		if(read_com2_block(msg,size)==-1)
		{
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
		 	return(-2);
		}
		write_cpu_register32(CPU_COM_TIMEOUT,temp);
		return(size);
	}
	
	if(ch=='*')
	{
		if(read_com2_byte()!='*') 
		{
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
			return(-1); 
		}
		if(read_com2_byte()!='*')
		{
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
			return(-1); 
		}
		if(read_com2_byte()!='*')
		{
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
			return(-1); 
		}
		ch=read_com2_byte();
		if(ch=='<')
		{
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
			exit();
		}
		if(ch=='>')
		{
			write_cpu_register(CPU_EEPROM_LOCK,123);
			beep(50,100);
			memset(8388608+100,0,16);		// Estraga eeprom
			write_cpu_register(CPU_EEPROM_LOCK,0);
			memset(4096,0,16);				// Estraga programa
			cls();
			write_cpu_register32(CPU_COM_TIMEOUT,temp);
			exit();
		}
	}

	write_cpu_register32(CPU_COM_TIMEOUT,temp);
	return(-2);
}

// --------------------------------------------------------------
//
// Send a message to com2,
//

send_com2_message( char *msg,char *destination_id,char *aux_terminal_id,int size)
{
	if(write_com2_block(">>",2)==-1)
	{
		return(0);
	}
	if(write_com2_block(&size,4)==-1)
	{
		return(0);
	}
	if(write_com2_block(destination_id,9)==-1)
	{
		return(0);
	}
	if(write_com2_block(aux_terminal_id,9)==-1)
	{
		return(0);
	}
	if(write_com2_block(msg,size)==-1)
	{
	  	return(0);
	}
	return(1);
}


